Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloWebApplication.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloWebApplication.java	(revision 4225)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloWebApplication.java	(revision 4226)
@@ -13,65 +13,57 @@
 import org.apache.wicket.request.Request;
 import org.apache.wicket.request.Response;
+import org.apache.wicket.request.cycle.AbstractRequestCycleListener;
 import org.apache.wicket.request.cycle.RequestCycle;
-import org.apache.wicket.request.cycle.RequestCycleContext;
 import org.apache.wicket.util.string.StringValue;
 
 /**
  * Virtual Language Observatory web application<br><br>
- * 
+ *
  * <describe VLO>
- * 
- * While the application is intended to run inside a web server container, 
+ *
+ * While the application is intended to run inside a web server container,
  * running the Start class enables you to run it without outside one.
  */
 public class VloWebApplication extends WebApplication {
-    
+
     /**
      * Customised client request cycle<br><br>
-     * 
+     *
      * <intercept resquest in order to update session parameter list>
-     * 
+     *
      * Add behaviour to the web request handling by retrieving persistent
-     * parameters to the application from from client requests, and store
-     * the in the application object.
+     * parameters to the application from from client requests, and store the in
+     * the application object.
      */
-    private class CustomCycle extends RequestCycle {        
-        
-        // find out why this is necessary
-        CustomCycle (RequestCycleContext context){
-            super(context);
-        }   
+    private class CustomRequestCycleListener extends AbstractRequestCycleListener {
 
-        /**
-         * Add the behaviour to the beginning of the processing of a request
-         */
         @Override
-        public void onBeginRequest() {
+        public void onBeginRequest(RequestCycle cycle) {
             // first, invoke the default behavior
-            super.onBeginRequest();
+            super.onBeginRequest(cycle);
             // after that, get the parameters of the request itself
-            IRequestParameters reqParam = getRequest().getRequestParameters();
-            
+            IRequestParameters reqParam = cycle.getRequest().getRequestParameters();
+
             // from these, get the parameters represented in the URL
             //Map <String, String[]> map = this.getWebRequest().getParameterMap();
-            // check if there is a theme parameter        
+            // check if there is a theme parameter
             StringValue object = reqParam.getParameterValue("theme");
-                        
+
             if (object.isEmpty()) {
                 // no theme choosen, keep the current one
             } else {
-                // check if the users requests a different theme 
-                if (object.toString().matches(((VloSession)Session.get()).getCurrentTheme().name)) {
+                // check if the users requests a different theme
+                if (object.toString().matches(((VloSession) Session.get()).getCurrentTheme().name)) {
                     // current theme requested, nothing to do
                 } else {
                     // different theme requested, compose it
-                    ((VloSession)Session.get()).setCurrentTheme(new Theme (object.toString()));
+                    ((VloSession) Session.get()).setCurrentTheme(new Theme(object.toString()));
                     // remember the theme as a vlo session page parameter
-                    ((VloSession)Session.get()).vloSessionPageParameters.add("theme", object);
+                    ((VloSession) Session.get()).vloSessionPageParameters.add("theme", object);
                 }
             }
         }
     }
-        
+
     /**
      * Flag indicating whether or not the application object lives in a web
@@ -85,7 +77,7 @@
     @Override
     public void init() {
-                
+
         if (inContext) {
-            
+
             /*
              * send messages to objects that need a static reference to this web
@@ -96,12 +88,10 @@
             BasePage.setWebApp(this);
             BasePanel.setWebApp(this);
-            
+
             // install theme -> compose theme
-
             // get the servlet's context
-
             ServletContext servletContext;
             servletContext = this.getServletContext();
-            
+
             /*
              * Send the application context to the configuration object to
@@ -109,17 +99,18 @@
              * configuration file.
              */
-            
             VloContextConfig.switchToExternalConfig(servletContext);
+
+            getRequestCycleListeners().add(new CustomRequestCycleListener());
         }
 
         // creata an object referring to the search results
-        searchResults = new SearchResultsDao();        
+        searchResults = new SearchResultsDao();
 
         // hand over control to the application
     }
-    
+
     // remember the search results
     private SearchResultsDao searchResults;
-    
+
     /**
      * Web application constructor<br><br>
@@ -138,10 +129,8 @@
          * init()} method will be invoked.
          */
-        
         VloConfig.readPackagedConfig();
 
         // let the {@literal init()} method know that there will be a context
-
-        inContext = true;  
+        inContext = true;
     }
 
@@ -155,16 +144,15 @@
      * the application's tests will send false to the application constructor.
      * <br><br>
-     * 
+     *
      * @param inContext If and only if this parameter equals true. later on, the
-     * {@literal init} method will try to determine the web server's container 
+     * {@literal init} method will try to determine the web server's container
      * context so that, if it is defined in it, an external configuration can be
-     * switched to. 
+     * switched to.
      */
     public VloWebApplication(Boolean inContext) {
 
         // remember that the application does not live in a web server context
-        
         this.inContext = inContext;
-        
+
         searchResults = new SearchResultsDao();
     }
@@ -186,5 +174,4 @@
         return new VloSession(request);
     }
-    
-    
+
 }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowAllFacetValuesPage.html
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowAllFacetValuesPage.html	(revision 4225)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowAllFacetValuesPage.html	(revision 4226)
@@ -4,18 +4,18 @@
     <wicket:extend>
         <div class="categorylist">
-            <div style="text-indent:10px;>
-	            <table>
-	                <tr>
-	                    <td width="50%" class="column">
-	                        <div wicket:id="filteredFacets"><span wicket:id="filteredFacet"/></div>
-	                    </td>
-	                </tr>
-	            </table>
-	            <div  class="filter">
-	            	<a href="#" wicket:id="filter"><span wicket:id="filterLabel">Filter</span></a>
-	            </div>
-	            <br>
-	            <div class="message"><wicket:message key="subcategoriesIn">[Subcategories]</wicket:message> <span class="facet" wicket:id="category"></span>:</div>
-	        </div>
+            <div style="text-indent:10px;">
+                 <table>
+                 <tr>
+                 <td width="50%" class="column">
+                <div wicket:id="filteredFacets"><span wicket:id="filteredFacet"/></div>
+                </td>
+                </tr>
+                </table>
+                <div  class="filter">
+                    <a href="#" wicket:id="filter"><span wicket:id="filterLabel">Filter</span></a>
+                </div>
+                <br>
+                <div class="message"><wicket:message key="subcategoriesIn">[Subcategories]</wicket:message> <span class="facet" wicket:id="category"></span>:</div>
+            </div>
             <div wicket:id="alphaPanel"></div>
         </div>