Index: /vlo/branches/to-wicket-1.6/vlo_web_app/pom.xml
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/pom.xml	(revision 4228)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/pom.xml	(revision 4229)
@@ -78,4 +78,8 @@
                     <exclude>**/*.java</exclude>
                 </excludes>
+            </resource>
+            <resource>
+                <directory>src/main/resources</directory>
+                <filtering>true</filtering>
             </resource>
             <resource>
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanel.java	(revision 4228)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanel.java	(revision 4229)
@@ -71,8 +71,8 @@
         extraParameters.add(ShowAllFacetValuesPage.SELECTED_FACET_PARAM, facetField.getName());
         extraParameters.add(ShowAllFacetValuesPage.FACET_MIN_OCCURS, "1");
-        
+        //TODO: merge again once implemented
         facetParameters.merge(extraParameters);
 
-        add(new BookmarkablePageLink("showMore", ShowAllFacetValuesPage.class, facetParameters) {
+        add(new BookmarkablePageLink("showMore", ShowAllFacetValuesPage.class, extraParameters) {
             @Override
             public boolean isVisible() {
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/LandingPageLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/LandingPageLinkPanel.java	(revision 4228)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/LandingPageLinkPanel.java	(revision 4229)
@@ -19,5 +19,5 @@
     private final static ImageResource LANDINGPAGE_ICON =
             new ImageResource(
-            "Images/Crystal_Clear_mimetype_readme.png",
+            "Crystal_Clear_mimetype_readme.png",
             "Landing page");
 
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ResourceLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ResourceLinkPanel.java	(revision 4228)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ResourceLinkPanel.java	(revision 4229)
@@ -30,9 +30,9 @@
             "http://www.nbn-resolving.org/redirect/";
 
-    private final static ImageResource ANNOTATION = new ImageResource("Images/text-x-log.png", "Annotation file");
-    private final static ImageResource AUDIO = new ImageResource("Images/audio-x-generic.png", "Audio file");
-    private final static ImageResource IMAGE = new ImageResource("Images/image-x-generic.png", "Image file");
-    private final static ImageResource TEXT = new  ImageResource("Images/text-x-generic.png", "Text file");
-    private final static ImageResource VIDEO = new ImageResource("Images/video-x-generic.png", "Video file");
+    private final static ImageResource ANNOTATION = new ImageResource("text-x-log.png", "Annotation file");
+    private final static ImageResource AUDIO = new ImageResource("audio-x-generic.png", "Audio file");
+    private final static ImageResource IMAGE = new ImageResource("image-x-generic.png", "Image file");
+    private final static ImageResource TEXT = new  ImageResource("text-x-generic.png", "Text file");
+    private final static ImageResource VIDEO = new ImageResource("video-x-generic.png", "Video file");
 
     private final static Map<String, ImageResource> ICON_MAP = new 
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SearchPageLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SearchPageLinkPanel.java	(revision 4228)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SearchPageLinkPanel.java	(revision 4229)
@@ -18,5 +18,5 @@
 
     private final static ImageResource SEARCHPAGE_ICON =
-            new ImageResource("Images/Crystal_Clear_action_filefind.png",
+            new ImageResource("Crystal_Clear_action_filefind.png",
             "Search page");
 