Index: /aai/clarin-sp-metadata.xml
===================================================================
--- /aai/clarin-sp-metadata.xml	(revision 4230)
+++ /aai/clarin-sp-metadata.xml	(revision 4231)
@@ -2470,3 +2470,81 @@
 </EntityDescriptor>
 
+<!-- CLARIN-PL -->
+<md:EntityDescriptor xmlns:md="urn:oasis:names:tc:SAML:2.0:metadata" ID="_145ee1e0d4a7860c36b0c98e559d10a370d4ab56" entityID="http://www.clarin-pl.eu/shibboleth">
+
+  <md:Extensions xmlns:alg="urn:oasis:names:tc:SAML:metadata:algsupport">
+    <alg:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha512"/>
+    <alg:DigestMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#sha384"/>
+    <alg:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
+    <alg:DigestMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#sha224"/>
+    <alg:DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha512"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha384"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha256"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha224"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha512"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha384"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha256"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2009/xmldsig11#dsa-sha256"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha1"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1"/>
+    <alg:SigningMethod Algorithm="http://www.w3.org/2000/09/xmldsig#dsa-sha1"/>
+  </md:Extensions>
+
+  <md:SPSSODescriptor protocolSupportEnumeration="urn:oasis:names:tc:SAML:2.0:protocol urn:oasis:names:tc:SAML:1.1:protocol urn:oasis:names:tc:SAML:1.0:protocol">
+    <md:Extensions>
+      <init:RequestInitiator xmlns:init="urn:oasis:names:tc:SAML:profiles:SSO:request-init" Binding="urn:oasis:names:tc:SAML:profiles:SSO:request-init" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/Login"/>
+      <idpdisc:DiscoveryResponse xmlns:idpdisc="urn:oasis:names:tc:SAML:profiles:SSO:idp-discovery-protocol" Binding="urn:oasis:names:tc:SAML:profiles:SSO:idp-discovery-protocol" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/Login" index="1"/>
+    </md:Extensions>
+    <md:KeyDescriptor>
+      <ds:KeyInfo xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
+        <ds:KeyName>https://www.clarin-pl.eu/shibboleth</ds:KeyName>
+        <ds:KeyName>www.clarin-pl.eu</ds:KeyName>
+        <ds:X509Data>
+          <ds:X509SubjectName>CN=www.clarin-pl.eu</ds:X509SubjectName>
+          <ds:X509Certificate>MIIDHDCCAgSgAwIBAgIJAJY4k9BoCNIOMA0GCSqGSIb3DQEBBQUAMBsxGTAXBgNV
+BAMTEHd3dy5jbGFyaW4tcGwuZXUwHhcNMTQwMTA5MTA0ODE2WhcNMTcwMTA4MTA0
+ODE2WjAbMRkwFwYDVQQDExB3d3cuY2xhcmluLXBsLmV1MIIBIjANBgkqhkiG9w0B
+AQEFAAOCAQ8AMIIBCgKCAQEAvBHhZZZVue2D/m6KEnfbL/wufElA6XgLs0SqfGMh
+VILjElWD80BG7KElkqQxrwEBf09i+z9nBbZARvVi9JnonuCa6+rHIz3e6/IoXKrA
+jRlUJcUJp0FKLYmG+WlTWUNO+y2OtSWWMSe7ZeHnxDkRYXwY3lLXniOClXhdplso
+vVc3u2BjUXPH0zCVn7ajU7IczsemoA6iy2JFKHACC4OTDxFGUPEUK0mRjyd8Ovyx
+Kh3QdkPrUpHZ/6aBnmiztYV1wa3mZTtk3TOrxdA+/+x4UodG6K/WSo3TIs5h9s/4
+c9IZyfi/8q9V3EODO8IBTCM+zDZ8fm7g1VJ9CYFEs8et/QIDAQABo2MwYTBABgNV
+HREEOTA3ghB3d3cuY2xhcmluLXBsLmV1hiNodHRwczovL3d3dy5jbGFyaW4tcGwu
+ZXUvc2hpYmJvbGV0aDAdBgNVHQ4EFgQUx34UwYpPZgJBTVqSl3Xfn/d+XrEwDQYJ
+KoZIhvcNAQEFBQADggEBAFwYzUrC7K9CpxBpnD6WjqyKiMoSR+vnoZZq3+ZUiG/O
+uwiTwcErddkQLonV9L2eSuY6NQn+aFebaozIS/Zj5yXjwDo8fGEKSk4tSVUc4H+f
+RML3XnJ25XmaSi2myy5PIh97o/NZAil8/1ArHV4PGNzMic1UNzmZymzB6AdmOrVn
+W3DPk2honcInege0lU7RLULmgdtMVl/QCbEWDrJ8oq0bxYwoFrVCnZXFM7SHqEba
+W7A4zk79hxNAxNoqlUSnX0Tk2fQQXdSTjLXEF9WLUwfW86QlQdLLkaY9hco+w8NM
+SvKPZd5tNDWO1hE00kzKJDPhhJZs1wFS7Tf3SJ1M1D8=
+</ds:X509Certificate>
+        </ds:X509Data>
+      </ds:KeyInfo>
+      <md:EncryptionMethod Algorithm="http://www.w3.org/2009/xmlenc11#aes128-gcm"/>
+      <md:EncryptionMethod Algorithm="http://www.w3.org/2009/xmlenc11#aes192-gcm"/>
+      <md:EncryptionMethod Algorithm="http://www.w3.org/2009/xmlenc11#aes256-gcm"/>
+      <md:EncryptionMethod Algorithm="http://www.w3.org/2001/04/xmlenc#aes128-cbc"/>
+      <md:EncryptionMethod Algorithm="http://www.w3.org/2001/04/xmlenc#aes192-cbc"/>
+      <md:EncryptionMethod Algorithm="http://www.w3.org/2001/04/xmlenc#aes256-cbc"/>
+      <md:EncryptionMethod Algorithm="http://www.w3.org/2001/04/xmlenc#tripledes-cbc"/>
+      <md:EncryptionMethod Algorithm="http://www.w3.org/2009/xmlenc11#rsa-oaep"/>
+      <md:EncryptionMethod Algorithm="http://www.w3.org/2001/04/xmlenc#rsa-oaep-mgf1p"/>
+    </md:KeyDescriptor>
+    <md:ArtifactResolutionService Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/Artifact/SOAP" index="1"/>
+    <md:SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SLO/SOAP"/>
+    <md:SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SLO/Redirect"/>
+    <md:SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SLO/POST"/>
+    <md:SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SLO/Artifact"/>
+    <md:AssertionConsumerService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SAML2/POST" index="1"/>
+    <md:AssertionConsumerService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST-SimpleSign" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SAML2/POST-SimpleSign" index="2"/>
+    <md:AssertionConsumerService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SAML2/Artifact" index="3"/>
+    <md:AssertionConsumerService Binding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SAML2/ECP" index="4"/>
+    <md:AssertionConsumerService Binding="urn:oasis:names:tc:SAML:1.0:profiles:browser-post" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SAML/POST" index="5"/>
+    <md:AssertionConsumerService Binding="urn:oasis:names:tc:SAML:1.0:profiles:artifact-01" Location="http://www.clarin-pl.eu/shibboleth/Shibboleth.sso/SAML/Artifact" index="6"/>
+  </md:SPSSODescriptor>
+
+</md:EntityDescriptor>
+
 </EntitiesDescriptor>