Index: /vlo/branches/to-wicket-1.6/vlo_web_app/pom.xml
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/pom.xml	(revision 4231)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/pom.xml	(revision 4232)
@@ -51,4 +51,10 @@
             <artifactId>vlo_importer</artifactId>
             <version>2.18</version>
+            <type>jar</type>
+        </dependency>
+        <dependency>
+            <groupId>org.apache.wicket</groupId>
+            <artifactId>wicket-request</artifactId>
+            <version>6.12.0</version>
             <type>jar</type>
         </dependency>
Index: o/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloPageParameters.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloPageParameters.java	(revision 4231)
+++ 	(revision )
@@ -1,88 +1,0 @@
-/*
- * To change this template, choose Tools | Templates
- * and open the template in the editor.
- */
-package eu.clarin.cmdi.vlo;
-
-import java.util.Iterator;
-import java.util.List;
-import java.util.Map;
-import java.util.Set;
-import org.apache.wicket.Session;
-import org.apache.wicket.request.mapper.parameter.PageParameters;
-
-/**
- * VLO web page parameters 
- * 
- * @author keeloo
- */
-public class VloPageParameters extends PageParameters {
-    
-    public VloPageParameters (){
-        // needs to be here because of the other constructor
-        super ();
-        // add the theme parameter
-        // ...
-    }
-    
-    public VloPageParameters (PageParameters parameters){
-        // store the parameters as VloPageParameters
-    }
-    
-    public PageParameters convert (){
-        
-        PageParameters param;
-        
-        // needs to be implemented
-        
-        // present the page parameters in the old style
-        
-        param = null;
-        
-        return param;
-    }
-
-    /**
-     * Take in  old style parameters. 
-     * 
-     * 
-     * not being used at the moment; use code in the previous method
-     * 
-     * @param param
-     * @return 
-     */
-    public static VloPageParameters convert (PageParameters param){
-        List<NamedPair> entries = param.getAllNamed();        
-        // iterate over the set, and put entries in new page parameters 
-        VloPageParameters VloPageParameters;
-        VloPageParameters = new VloPageParameters ();
-        for (Iterator<NamedPair> it = entries.iterator(); it.hasNext();) {
-            NamedPair entry = it.next();
-            VloPageParameters.add(entry.getKey(), entry.getValue());
-        }
-        
-        return VloPageParameters;
-    }
-
-    /**
-     * 
-     * @param PersistentParameters parameters concerning theme and other 
-     * non query related parameters. These parameters are to kept in the URL
-     * during the session.
-     */
-    public void merge(PageParameters parameters) {   
-        
-        // get a themed session from the current thread 
-        VloSession themedSession;
-        themedSession = (VloSession)Session.get();
-        
-        // get the parameters associated with the session
-        PageParameters persistentParameters;
-        persistentParameters = themedSession.getVloSessionPageParameters();
-        
-        // merge the parameters with the persistent ones and return the result
-        
-        // ...
-        
-    }
-}
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloSession.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloSession.java	(revision 4231)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloSession.java	(revision 4232)
@@ -4,47 +4,24 @@
 import org.apache.wicket.protocol.http.WebSession;
 import org.apache.wicket.request.Request;
+import org.apache.wicket.request.mapper.parameter.PageParameters;
 
 /**
- * Class associating VLO sessions with a VLO theme and VLO page parameters. 
+ * A web session containing a VLO theme and parameters that are considered to
+ * be persistent in a VLO session.
  * 
- * While it is never explicitly created, it is always part of a cast, the public
-
-* field of objects of this class seems to hold the expected values.
- *
+ * Note that these parameters can include the specification of the theme.
+ * 
  * @author keeloo
  */
 public class VloSession extends WebSession {
 
-    /**
-     * Remember the parameters that should persist in URLs to VLO pages
-     * <br><br>
-     */
-    public VloPageParameters vloSessionPageParameters = new VloPageParameters();
+    // remember the parameters that need to persist in URLs to VLO pages in this session
+    public PageParameters vloSessionPageParameters = new PageParameters();
 
-    /**
-     *
-     * @return
-     */
-    public VloPageParameters getVloSessionPageParameters() {
-        return vloSessionPageParameters;
-    }
-
-    /**
-     * Add page parameters with the VLO session related ones
-     *
-     * @param parameters a page parameter map
-     *
-     */
-    public void addVloSessionPageParameters(VloPageParameters parameters) {
-        
-        vloSessionPageParameters.mergeWith(parameters);
-    }
-    /**
-     * Theme currently applied in the VLO web application
-     */
+    // remember this session's theme
     private Theme currentTheme = new Theme("defaultTheme");
 
     /**
-     * Constructor with request parameter
+     * Construct a session object with a request parameter
      * 
      * @param request 
@@ -55,14 +32,40 @@
     }
 
+    /**
+     * Get the session's theme
+     * 
+     * @return the session's theme 
+     */
     public Theme getCurrentTheme() {
-        return currentTheme;
+        return this.currentTheme;
     }
 
     /**
+     * Set the session's theme
      * 
-     * @param currentTheme 
+     * @param theme the session's theme
      */
-    public void setCurrentTheme(Theme currentTheme) {
-        this.currentTheme = currentTheme;
+    public void setCurrentTheme(Theme theme) {
+        this.currentTheme = theme;
+    }
+    
+    /**
+     * Return the session's persistent parameters
+     * 
+     * @return session parameters
+     */
+    public PageParameters getVloSessionPageParameters() {
+        return vloSessionPageParameters;
+    }
+
+    /**
+     * Add parameters to the session's persistent parameters
+     * 
+     * @param parameters a page parameter map
+     *
+     */
+    public void addVloSessionPageParameters(PageParameters parameters) {
+        
+        vloSessionPageParameters.mergeWith(parameters);
     }
 }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloWebApplication.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloWebApplication.java	(revision 4231)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloWebApplication.java	(revision 4232)
@@ -49,5 +49,5 @@
 
             // from these, get the parameters represented in the URL
-            //Map <String, String[]> map = this.getWebRequest().getParameterMap();
+            // Map <String, String[]> map = this.getWebRequest().getParameterMap();
             // check if there is a theme parameter
             StringValue object = reqParam.getParameterValue("theme");
@@ -190,4 +190,3 @@
         return new VloSession(request);
     }
-
 }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/BasePage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/BasePage.java	(revision 4231)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/BasePage.java	(revision 4232)
@@ -3,5 +3,4 @@
 import eu.clarin.cmdi.vlo.VloWebApplication;
 import eu.clarin.cmdi.vlo.VloSession;
-import eu.clarin.cmdi.vlo.VloPageParameters;
 import org.apache.wicket.markup.head.CssHeaderItem;
 import org.apache.wicket.markup.head.IHeaderResponse;
@@ -57,5 +56,7 @@
         
         // set the applications start page link to the faceted search page
-        VloPageParameters startPageParameters = new VloPageParameters ();
+        PageParameters startPageParameters = new PageParameters ();
+        // add the session persistent parameters
+        startPageParameters.mergeWith(((VloSession)this.getSession()).getVloSessionPageParameters());
 
         BookmarkablePageLink link = new BookmarkablePageLink("startpage",
@@ -71,5 +72,5 @@
         leftImage = new Image("leftimage", leftImageRes);
  
-        // merge the image to the page
+        // add the image to the page
         link.add(leftImage);
 
@@ -82,5 +83,5 @@
         rightImage = new Image("rightimage", rightImageRes);
         
-        // merge it to the page
+        // add it to the page
         add (rightImage);
         
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanel.java	(revision 4231)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanel.java	(revision 4232)
@@ -1,5 +1,4 @@
 package eu.clarin.cmdi.vlo.pages;
 
-import eu.clarin.cmdi.vlo.VloPageParameters;
 import java.util.ArrayList;
 import java.util.HashSet;
@@ -66,11 +65,14 @@
         };
         add(facetList);
-        VloPageParameters facetParameters = new VloPageParameters ();
+        PageParameters facetParameters = new PageParameters ();
            
         PageParameters extraParameters = new PageParameters ();
-        extraParameters.add(ShowAllFacetValuesPage.SELECTED_FACET_PARAM, facetField.getName());
-        extraParameters.add(ShowAllFacetValuesPage.FACET_MIN_OCCURS, "1");
+        // kj; add the new values directly
+        // extraParameters.add(ShowAllFacetValuesPage.SELECTED_FACET_PARAM, facetField.getName());
+        // extraParameters.add(ShowAllFacetValuesPage.FACET_MIN_OCCURS, "1");
+        facetParameters.add(ShowAllFacetValuesPage.SELECTED_FACET_PARAM, facetField.getName());
+        facetParameters.add(ShowAllFacetValuesPage.FACET_MIN_OCCURS, "1");
         //TODO: merge again once implemented
-        facetParameters.merge(extraParameters);
+        // facetParameters.add(extraParameters);
 
         add(new BookmarkablePageLink("showMore", ShowAllFacetValuesPage.class, extraParameters) {
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetHeaderPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetHeaderPanel.java	(revision 4231)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetHeaderPanel.java	(revision 4232)
@@ -1,5 +1,4 @@
 package eu.clarin.cmdi.vlo.pages;
 
-import eu.clarin.cmdi.vlo.VloPageParameters;
 import org.apache.wicket.markup.html.basic.Label;
 import org.apache.wicket.markup.html.link.BookmarkablePageLink;
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetLinkPanel.java	(revision 4231)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetLinkPanel.java	(revision 4232)
@@ -1,5 +1,4 @@
 package eu.clarin.cmdi.vlo.pages;
 
-import eu.clarin.cmdi.vlo.VloPageParameters;
 import org.apache.solr.client.solrj.response.FacetField.Count;
 import org.apache.wicket.markup.html.basic.Label;
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetedSearchPage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetedSearchPage.java	(revision 4231)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetedSearchPage.java	(revision 4232)
@@ -3,5 +3,5 @@
 import eu.clarin.cmdi.vlo.FacetConstants;
 import eu.clarin.cmdi.vlo.Resources;
-import eu.clarin.cmdi.vlo.VloPageParameters;
+import eu.clarin.cmdi.vlo.VloSession;
 import eu.clarin.cmdi.vlo.config.VloConfig;
 import eu.clarin.cmdi.vlo.dao.AutoCompleteDao;
@@ -52,13 +52,9 @@
     private final static Map<String, FacetConcept> facetNameMap = VLOMarshaller.getFacetConceptMapping(facetConceptsFile).getFacetConceptMap();
 
-    public FacetedSearchPage(PageParameters params) {
-        this(VloPageParameters.convert(params));
-    }
-
     /**
      * @param parameters Page parameters
      * @throws SolrServerException
      */
-    public FacetedSearchPage(final VloPageParameters parameters) {
+    public FacetedSearchPage(final PageParameters parameters) {
         super(parameters);
         query = new SearchPageQuery(parameters);
@@ -144,5 +140,5 @@
             }
 
-            // finally, merge the label to the form
+            // finally, add the label to the form
             this.add(facetOverview);
         }
@@ -163,14 +159,17 @@
             add(submit);
 
-            // merge link to help menu page 
+            // add link to help menu page 
             String helpUrl = VloConfig.getHelpUrl();
             ExternalLink helpLink = new ExternalLink("helpLink", helpUrl, "help");
             add(helpLink);
 
-            VloPageParameters param;
-            param = new VloPageParameters(query.getPageParameters());
+            PageParameters param;
+            param = new PageParameters(query.getPageParameters());
+            // add the session persistent parameters
+            param.mergeWith(((VloSession)this.getSession()).getVloSessionPageParameters());
 
             final RequestCycle reqCycle = getRequestCycle();
-            final Url reqUrl = Url.parse(reqCycle.urlFor(ShowResultPage.class, param.convert()));
+            // kj, the same here
+            final Url reqUrl = Url.parse(reqCycle.urlFor(ShowResultPage.class, param));
             String thisURL = reqCycle.getUrlRenderer().renderFullUrl(reqUrl);
 
@@ -192,5 +191,7 @@
             PageParameters param = query.getPageParameters();
 
-            VloPageParameters newParam = new VloPageParameters();
+            PageParameters newParam = new PageParameters();
+            // add the session persistent parameters
+            newParam.mergeWith(((VloSession)this.getSession()).getVloSessionPageParameters());
 
             setResponsePage(FacetedSearchPage.class, newParam);
@@ -309,5 +310,5 @@
                 }
 
-                // merge HTML form to container
+                // add HTML form to container
                 String labelString;
                 if (totalResults == 1) {
@@ -321,5 +322,5 @@
                 contentSearchLabel.setEscapeModelStrings(false);
                 contentSearchContainer.add(contentSearchLabel);
-                // contentSearchContainer.merge(link);
+                // contentSearchContainer.add(link);
             } catch (UnsupportedEncodingException uee) {
                 contentSearchContainer.setVisible(false);
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowResultPage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowResultPage.java	(revision 4231)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowResultPage.java	(revision 4232)
@@ -4,5 +4,5 @@
 import eu.clarin.cmdi.vlo.Resources;
 import eu.clarin.cmdi.vlo.StringUtils;
-import eu.clarin.cmdi.vlo.VloPageParameters;
+import eu.clarin.cmdi.vlo.VloSession;
 import eu.clarin.cmdi.vlo.config.VloConfig;
 import eu.clarin.cmdi.vlo.dao.DaoLocator;
@@ -82,7 +82,9 @@
             final SearchPageQuery query = new SearchPageQuery(currentParam);
 
-            // create parameters from the query, and merge them with session related parameters
-            VloPageParameters newParam;
-            newParam = new VloPageParameters(query.getPageParameters());
+            // create parameters from the query, and add them with session related parameters
+            PageParameters newParam;
+            newParam = new PageParameters(query.getPageParameters());
+            // add the session persistent parameters
+            newParam.mergeWith(((VloSession)this.getSession()).getVloSessionPageParameters());
 
             BookmarkablePageLink<String> backLink = new BookmarkablePageLink<String>("backLink", FacetedSearchPage.class, newParam);
@@ -425,9 +427,12 @@
     private void addFeedbackLink(final PageParameters parameters) {
 
-        // create VloPageParameters in orde to be able to convert to old style parameters
-        VloPageParameters newParam = new VloPageParameters(parameters);
+        PageParameters newParam = new PageParameters(parameters);
+        // add the session persistent paremeters
+        newParam.mergeWith(((VloSession)this.getSession()).getVloSessionPageParameters());
 
         final RequestCycle reqCycle = getRequestCycle();
-        final Url reqUrl = Url.parse(reqCycle.urlFor(ShowResultPage.class, newParam.convert()));
+        // the following will not be necessary anymore
+        // final Url reqUrl = Url.parse(reqCycle.urlFor(ShowResultPage.class, newParam.convert()));
+        final Url reqUrl = Url.parse(reqCycle.urlFor(ShowResultPage.class, newParam));
         String thisURL = reqCycle.getUrlRenderer().renderFullUrl(reqUrl);
 
@@ -453,6 +458,8 @@
 
         // create new page parameters from the query parameters and the session related ones
-        VloPageParameters newParam;
-        newParam = new VloPageParameters(query.getPageParameters());
+        PageParameters newParam;
+        newParam = new PageParameters(query.getPageParameters());
+        // add the session persistent parameters
+        // newParam.add(((VloSession)this.getSession()).getVloSessionPageParameters());
         newParam.add(ShowResultPage.PARAM_DOC_ID, UrlEncoder.QUERY_INSTANCE.encode(
                 docId,