Index: /vlo/trunk/vlo_importer/src/main/resources/nationalProjectsMapping.xml
===================================================================
--- /vlo/trunk/vlo_importer/src/main/resources/nationalProjectsMapping.xml	(revision 4342)
+++ /vlo/trunk/vlo_importer/src/main/resources/nationalProjectsMapping.xml	(revision 4343)
@@ -48,12 +48,12 @@
 	<nationalProjectMapping><MdCollectionDisplayName>UniversitÃ€t des Saarlandes CLARIN-D-Zentrum, SaarbrÃŒcken</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
 	<nationalProjectMapping><MdCollectionDisplayName>CLARIN-DK-UCPH Repository</MdCollectionDisplayName><NationalProject>CLARIN-DK-UCPH</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Lindat-Clarin: External Data</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Lindat-Clarin: External Tools </MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>LINDAT-Clarin repository</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Lindat-Clarin: MU - Published Data</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Lindat-Clarin: MU - Published Software</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Lindat-Clarin: UFAL - Published Data</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Lindat-Clarin: UFAL - Published Software</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
-	<nationalProjectMapping><MdCollectionDisplayName>Lindat-Clarin: ZÄU - Published Data</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>LINDAT/CLARIN: Published Data</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>LINDAT/CLARIN: Published Software</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>LINDAT/Clarin repository</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>LINDAT/CLARIN: MU - Published Data</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>LINDAT/CLARIN: MU - Published Software</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>LINDAT/CLARIN: UFAL - Published Data</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>LINDAT/CLARIN: UFAL - Published Software</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
+	<nationalProjectMapping><MdCollectionDisplayName>LINDAT/CLARIN: ZÄU - Published Data</MdCollectionDisplayName><NationalProject>LINDAT (CLARIN-CZ)</NationalProject></nationalProjectMapping>
 	<nationalProjectMapping><MdCollectionDisplayName>Leipzig Corpora Collection</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>
 	<nationalProjectMapping><MdCollectionDisplayName>Hamburger Zentrum fÃŒr Sprachkorpora (HZSK)</MdCollectionDisplayName><NationalProject>CLARIN-D</NationalProject></nationalProjectMapping>