Index: FederatedSearch/examples/Endpoint-Description-Complex.xml
===================================================================
--- FederatedSearch/examples/Endpoint-Description-Complex.xml	(revision 4395)
+++ FederatedSearch/examples/Endpoint-Description-Complex.xml	(revision 4395)
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<EndpointDescription xmlns="http://clarin.eu/fcs/1.0/endpoint-description"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://clarin.eu/fcs/1.0/endpoint-description ../schema/Endpoint-Description.xsd">
+    <Profile>basic</Profile>
+    <SupportedDataViews>
+        <SupportedDataView>application/x-clarin-fcs-hits+xml</SupportedDataView>
+    </SupportedDataViews>
+    <Collections>
+        <Collection pid="hdl:10932/goethe">
+            <Title xml:lang="de">Goethe Corpus</Title>
+            <Title xml:lang="en">Goethe Korpus</Title>
+            <Description xml:lang="de">Der Goethe Korpus des IDS Mannheim.</Description>
+            <Description xml:lang="en">The Goethe corpus of IDS Mannheim.</Description>
+            <LandingPageURI>https://cosmas2.ids-mannheim.de/cosmas2-web/</LandingPageURI>
+            <Languages>
+                <Language>deu</Language>
+            </Languages>
+        </Collection>
+        <Collection pid="hdl:10932/mannheimer_morgen">
+            <Title xml:lang="de">Mannheimer Morgen newspaper Corpus</Title>
+            <Title xml:lang="en">Zeitungskorpus des Mannheimer Morgen</Title>
+            <LandingPageURI>https://cosmas2.ids-mannheim.de/cosmas2-web/</LandingPageURI>
+            <Languages>
+                <Language>deu</Language>
+            </Languages>
+            <Collection pid="hdl:10932/mannheimer_morgen_before_1990">
+                <Title xml:lang="de">Mannheimer Morgen newspaper Corpus (before 1990)</Title>
+                <Title xml:lang="en">Zeitungskorpus des Mannheimer Morgen (vor 1990)</Title>
+                <LandingPageURI>https://cosmas2.ids-mannheim.de/cosmas2-web/</LandingPageURI>
+                <Languages>
+                    <Language>deu</Language>
+                </Languages>
+            </Collection>
+            <Collection pid="hdl:10932/mannheimer_morgen_after_1990">
+                <Title xml:lang="de">Mannheimer Morgen newspaper Corpus (after 1990)</Title>
+                <Title xml:lang="en">Zeitungskorpus des Mannheimer Morgen (nach 1990)</Title>
+                <LandingPageURI>https://cosmas2.ids-mannheim.de/cosmas2-web/</LandingPageURI>
+                <Languages>
+                    <Language>deu</Language>
+                </Languages>
+            </Collection>
+        </Collection>
+    </Collections>
+</EndpointDescription>
Index: FederatedSearch/examples/Endpoint-Description-Simple.xml
===================================================================
--- FederatedSearch/examples/Endpoint-Description-Simple.xml	(revision 4395)
+++ FederatedSearch/examples/Endpoint-Description-Simple.xml	(revision 4395)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<EndpointDescription xmlns="http://clarin.eu/fcs/1.0/endpoint-description"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://clarin.eu/fcs/1.0/endpoint-description ../schema/Endpoint-Description.xsd">
+    <Profile>basic</Profile>
+    <SupportedDataViews>
+        <SupportedDataView>application/x-clarin-fcs-hits+xml</SupportedDataView>
+    </SupportedDataViews>
+    <Collections>
+        <Collection pid="hdl:10932/goethe">
+            <Title xml:lang="de">Goethe Corpus</Title>
+            <Title xml:lang="en">Goethe Korpus</Title>
+            <Description xml:lang="de">Der Goethe Korpus des IDS Mannheim.</Description>
+            <Description xml:lang="en">The Goethe corpus of IDS Mannheim.</Description>
+            <LandingPageURI>https://cosmas2.ids-mannheim.de/cosmas2-web/</LandingPageURI>
+            <Languages>
+                <Language>deu</Language>
+            </Languages>
+        </Collection>
+    </Collections>
+</EndpointDescription>
Index: FederatedSearch/examples/Resource-Hit-Multi-Hit.xml
===================================================================
--- FederatedSearch/examples/Resource-Hit-Multi-Hit.xml	(revision 4395)
+++ FederatedSearch/examples/Resource-Hit-Multi-Hit.xml	(revision 4395)
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<Result xmlns="http://clarin.eu/fcs/1.0/hits"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://clarin.eu/fcs/1.0/hits ../schema/Resource-Hits.xsd">
+    The quick brown <Hit>fox</Hit> jumps over the lazy <Hit>dog</Hit>.
+</Result>
Index: FederatedSearch/examples/Resource-Hit-Single.xml
===================================================================
--- FederatedSearch/examples/Resource-Hit-Single.xml	(revision 4395)
+++ FederatedSearch/examples/Resource-Hit-Single.xml	(revision 4395)
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<Result xmlns="http://clarin.eu/fcs/1.0/hits"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://clarin.eu/fcs/1.0/hits ../schema/Resource-Hits.xsd">
+    The quick brown <Hit>fox</Hit> jumps over the lazy dog.
+</Result>
Index: FederatedSearch/schema/Endpoint-Description.xsd
===================================================================
--- FederatedSearch/schema/Endpoint-Description.xsd	(revision 4395)
+++ FederatedSearch/schema/Endpoint-Description.xsd	(revision 4395)
@@ -0,0 +1,230 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
+    xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning" vc:minVersion="1.0"
+    xmlns:ed="http://clarin.eu/fcs/1.0/endpoint-description" elementFormDefault="qualified"
+    xmlns:h="http://www.w3.org/1999/xhtml"
+    targetNamespace="http://clarin.eu/fcs/1.0/endpoint-description" xml:lang="en">
+    <xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="xml.xsd"/>
+
+    <xs:annotation>
+        <xs:documentation>
+            <h:p>
+                This schema defines the structure of an extension to SRU/CQL
+                used by CLARIN-FCS.
+                </h:p>
+            <h:p>
+                An CLARIN-FCS endpoint MUST provide this
+                information in the <h:code>&lt;extraResponseData&gt;</h:code>
+                element of the result to an <h:em>explain</h:em> operation,
+                if a CLRAIN-FCS client performed the request with the
+                <h:code>x-clarin-fcs-endpoint-description</h:code> extra
+                request parameter with a value of <h:code>true</h:code>.  
+            </h:p>
+        </xs:documentation>    
+    </xs:annotation>
+    
+    <xs:element name="EndpointDescription">
+        <xs:annotation>
+            <xs:documentation>
+                <h:p>
+                    The root element of the endpoint description extension for
+                    CLARIN-FCS extension.
+                </h:p>
+                <h:p>
+                    An CLARIN-FCS endpoint MUST provide this
+                    information in the <h:code>&lt;extraResponseData&gt;</h:code>
+                    element of the result to an <h:em>explain</h:em> operation,
+                    if a CLRAIN-FCS client performed the request with the
+                    <h:code>x-clarin-fcs-endpoint-description</h:code> extra
+                    request parameter with a value of <h:code>true</h:code>.
+                </h:p>
+            </xs:documentation>
+        </xs:annotation>
+        <xs:complexType>
+            <xs:sequence>
+                <!-- Profile -->
+                <xs:element name="Profile">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p> The CLARIN-FCS profile, that is supported
+                                by an endpoint. </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                    <xs:simpleType>
+                        <xs:restriction base="xs:string">
+                            <xs:enumeration value="basic">
+                                <xs:annotation>
+                                    <xs:documentation>
+                                        <h:p> The endpoint supports the
+                                            <h:em>basic</h:em>
+                                            CLARIN-FCS profile. </h:p>
+                                    </xs:documentation>
+                                </xs:annotation>
+                            </xs:enumeration>
+                            <!-- 'extended' is not yet defined -->
+                            <!--
+                            <xs:enumeration value="extended">
+                                <xs:annotation>
+                                    <xs:documentation>
+                                        <h:p> The endpoint supports the
+                                            <h:em>extended</h:em>
+                                            CLARIN-FCS profile. </h:p>
+                                    </xs:documentation>
+                                </xs:annotation>
+                            </xs:enumeration>
+                            -->
+                        </xs:restriction>
+                    </xs:simpleType>
+                </xs:element>
+
+                <xs:element name="SupportedDataViews">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p> A list of DataViews, that are supported
+                                by an endpoint. </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                    <xs:complexType>
+                        <xs:sequence>
+                            <xs:element name="SupportedDataView"  maxOccurs="unbounded">
+                                <xs:annotation>
+                                    <xs:documentation>
+                                        The MIME type of a supported DataView.
+                                    </xs:documentation>
+                                </xs:annotation>
+                                <xs:simpleType>
+                                    <xs:restriction base="xs:string">
+                                        <xs:pattern value="\w+/\w([\.\-]{0,1}\w)*(\+\w+){0,1}"/>
+                                    </xs:restriction>
+                                </xs:simpleType>
+                            </xs:element>
+                        </xs:sequence>
+                    </xs:complexType>
+                </xs:element>
+                <!-- Collections -->
+                <xs:element name="Collections">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                A list of collections, that are available
+                                at an CLARIN-FCS endpoint. An endpoint MUST
+                                declare at least one collection.
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                    <xs:complexType>
+                        <xs:sequence>
+                            <xs:element ref="ed:Collection" maxOccurs="unbounded"/>
+                        </xs:sequence>                            
+                    </xs:complexType>
+                </xs:element>
+            </xs:sequence>
+        </xs:complexType>
+    </xs:element>
+
+    <xs:element name="Collection">
+        <xs:annotation>
+            <xs:documentation>
+                <h:p>
+                    Detailed description of a collection that is available at an
+                    CLARIN-FCS endpoint. A collection is a searchable
+                    entity at an endpoint, e.g. a single corpus.
+                </h:p>
+            </xs:documentation>
+        </xs:annotation>
+        <xs:complexType>
+            <xs:sequence>
+                <xs:element name="Title" type="ed:i18nString" maxOccurs="unbounded">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                A human readable title for the corpus. An English version is
+                                mandatory.
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:element>
+                <xs:element name="Description" type="ed:i18nString" minOccurs="0" maxOccurs="unbounded">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                An optional human-readable description of the collection. Is should
+                                be at most one sentence. If supplied, an English version is
+                                mandatory.
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:element>
+                <xs:element name="LandingPageURI" type="xs:anyURI" minOccurs="0">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                A link to a website for this collection, e.g. a landing page for a corpus. 
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:element>
+                <xs:element name="Languages">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                The (relevant) languages available <h:em>within</h:em> the collection.
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                    <xs:complexType>
+                        <xs:sequence>
+                            <xs:element name="Language" maxOccurs="unbounded">
+                                <xs:annotation>
+                                    <xs:documentation>
+                                        <p>
+                                            A ISO 639-3 three letter language code. This
+                                            element should be repeated for all languages
+                                            (relevant) available <h:em>within</h:em> the collection.
+                                        </p>
+                                    </xs:documentation>
+                                </xs:annotation>
+                                <xs:simpleType>
+                                    <xs:restriction base="xs:string">
+                                        <xs:pattern value="[a-zA-Z]{3}"/>
+                                    </xs:restriction>
+                                </xs:simpleType>
+                            </xs:element>
+                        </xs:sequence>
+                    </xs:complexType>
+                </xs:element>
+                <xs:element ref="ed:Collection" minOccurs="0" maxOccurs="unbounded">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                If a collection has searchable sub-collections
+                                the endpoint MUST supply additional finer grained
+                                collection elements. A sub-collection is a
+                                searchable entity within a collection, e.g. a sub-corpus.
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:element>
+            </xs:sequence>
+            <xs:attribute name="pid" type="xs:anyURI" use="required">
+                <xs:annotation>
+                    <xs:documentation>
+                        <h:p>
+                            The persistent identifier of this collection. This
+                            value MUST be the same as the <h:code>MdSelfLink</h:code>
+                            of the CMDI record describing the collection.
+                        </h:p>
+                    </xs:documentation>
+                </xs:annotation>
+            </xs:attribute>
+        </xs:complexType>
+    </xs:element>
+
+    <xs:complexType name="i18nString">
+        <xs:simpleContent>
+            <xs:extension base="xs:string">
+                <xs:attribute ref="xml:lang" use="required" />
+            </xs:extension>
+        </xs:simpleContent>
+    </xs:complexType>
+</xs:schema>
Index: FederatedSearch/schema/Resource-Hits.xsd
===================================================================
--- FederatedSearch/schema/Resource-Hits.xsd	(revision 4395)
+++ FederatedSearch/schema/Resource-Hits.xsd	(revision 4395)
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
+    xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning" vc:minVersion="1.0"
+    xmlns:hits="http://clarin.eu/fcs/1.0/hits"
+    xmlns:h="http://www.w3.org/1999/xhtml"
+    xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+    targetNamespace="http://clarin.eu/fcs/1.0/hits" elementFormDefault="qualified">
+
+    <xs:annotation>
+        <xs:documentation>
+            <h:p>
+                This schema defines the structure of a
+                <h:em>generic result</h:em> data view. All CLARIN-FCS endpoints
+                MUST support this data view.
+            </h:p>
+            <h:p>
+                The value <h:code>application/x-clarin-fcs-hits+xml</h:code>
+                MUST be used to indicate a <h:em>generic result</h:em> data view.
+            </h:p>
+        </xs:documentation>    
+    </xs:annotation>
+
+    <xs:element name="Result">
+        <xs:annotation>
+            <xs:documentation>
+                <h:p>
+                    A single result line with one or more marked hits.
+                    White-space is considered <h:em>non-signification</h:em>,
+                    except for delimiting tokens.
+                </h:p>
+                <h:p>
+                    CLARIN-FCS client MAY
+                    normalize white-space and strip leading and tailing
+                    white-space and collapse all white-space between
+                    tokens to a single #x20 character.
+                </h:p>
+            </xs:documentation>
+        </xs:annotation>
+        <xs:complexType mixed="true">
+            <xs:sequence>
+                <xs:element name="Hit" type="xs:string" maxOccurs="unbounded">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                A hit highlight. It SHALL not be empty.
+                            </h:p>
+                            <h:p>
+                                One <h:code>Result</h:code> element MUST
+                                one <h:code>Hit</h:code> element, but MAY
+                                contain more than one.
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:element>
+            </xs:sequence>
+        </xs:complexType>
+    </xs:element>
+</xs:schema>
Index: FederatedSearch/schema/xml.xsd
===================================================================
--- FederatedSearch/schema/xml.xsd	(revision 4395)
+++ FederatedSearch/schema/xml.xsd	(revision 4395)
@@ -0,0 +1,287 @@
+<?xml version='1.0'?>
+<?xml-stylesheet href="../2008/09/xsd.xsl" type="text/xsl"?>
+<xs:schema targetNamespace="http://www.w3.org/XML/1998/namespace" 
+  xmlns:xs="http://www.w3.org/2001/XMLSchema" 
+  xmlns   ="http://www.w3.org/1999/xhtml"
+  xml:lang="en">
+
+ <xs:annotation>
+  <xs:documentation>
+   <div>
+    <h1>About the XML namespace</h1>
+
+    <div class="bodytext">
+     <p>
+      This schema document describes the XML namespace, in a form
+      suitable for import by other schema documents.
+     </p>
+     <p>
+      See <a href="http://www.w3.org/XML/1998/namespace.html">
+      http://www.w3.org/XML/1998/namespace.html</a> and
+      <a href="http://www.w3.org/TR/REC-xml">
+      http://www.w3.org/TR/REC-xml</a> for information 
+      about this namespace.
+     </p>
+     <p>
+      Note that local names in this namespace are intended to be
+      defined only by the World Wide Web Consortium or its subgroups.
+      The names currently defined in this namespace are listed below.
+      They should not be used with conflicting semantics by any Working
+      Group, specification, or document instance.
+     </p>
+     <p>   
+      See further below in this document for more information about <a
+      href="#usage">how to refer to this schema document from your own
+      XSD schema documents</a> and about <a href="#nsversioning">the
+      namespace-versioning policy governing this schema document</a>.
+     </p>
+    </div>
+   </div>
+  </xs:documentation>
+ </xs:annotation>
+
+ <xs:attribute name="lang">
+  <xs:annotation>
+   <xs:documentation>
+    <div>
+     
+      <h3>lang (as an attribute name)</h3>
+      <p>
+       denotes an attribute whose value
+       is a language code for the natural language of the content of
+       any element; its value is inherited.  This name is reserved
+       by virtue of its definition in the XML specification.</p>
+     
+    </div>
+    <div>
+     <h4>Notes</h4>
+     <p>
+      Attempting to install the relevant ISO 2- and 3-letter
+      codes as the enumerated possible values is probably never
+      going to be a realistic possibility.  
+     </p>
+     <p>
+      See BCP 47 at <a href="http://www.rfc-editor.org/rfc/bcp/bcp47.txt">
+       http://www.rfc-editor.org/rfc/bcp/bcp47.txt</a>
+      and the IANA language subtag registry at
+      <a href="http://www.iana.org/assignments/language-subtag-registry">
+       http://www.iana.org/assignments/language-subtag-registry</a>
+      for further information.
+     </p>
+     <p>
+      The union allows for the 'un-declaration' of xml:lang with
+      the empty string.
+     </p>
+    </div>
+   </xs:documentation>
+  </xs:annotation>
+  <xs:simpleType>
+   <xs:union memberTypes="xs:language">
+    <xs:simpleType>    
+     <xs:restriction base="xs:string">
+      <xs:enumeration value=""/>
+     </xs:restriction>
+    </xs:simpleType>
+   </xs:union>
+  </xs:simpleType>
+ </xs:attribute>
+
+ <xs:attribute name="space">
+  <xs:annotation>
+   <xs:documentation>
+    <div>
+     
+      <h3>space (as an attribute name)</h3>
+      <p>
+       denotes an attribute whose
+       value is a keyword indicating what whitespace processing
+       discipline is intended for the content of the element; its
+       value is inherited.  This name is reserved by virtue of its
+       definition in the XML specification.</p>
+     
+    </div>
+   </xs:documentation>
+  </xs:annotation>
+  <xs:simpleType>
+   <xs:restriction base="xs:NCName">
+    <xs:enumeration value="default"/>
+    <xs:enumeration value="preserve"/>
+   </xs:restriction>
+  </xs:simpleType>
+ </xs:attribute>
+ 
+ <xs:attribute name="base" type="xs:anyURI"> <xs:annotation>
+   <xs:documentation>
+    <div>
+     
+      <h3>base (as an attribute name)</h3>
+      <p>
+       denotes an attribute whose value
+       provides a URI to be used as the base for interpreting any
+       relative URIs in the scope of the element on which it
+       appears; its value is inherited.  This name is reserved
+       by virtue of its definition in the XML Base specification.</p>
+     
+     <p>
+      See <a
+      href="http://www.w3.org/TR/xmlbase/">http://www.w3.org/TR/xmlbase/</a>
+      for information about this attribute.
+     </p>
+    </div>
+   </xs:documentation>
+  </xs:annotation>
+ </xs:attribute>
+ 
+ <xs:attribute name="id" type="xs:ID">
+  <xs:annotation>
+   <xs:documentation>
+    <div>
+     
+      <h3>id (as an attribute name)</h3> 
+      <p>
+       denotes an attribute whose value
+       should be interpreted as if declared to be of type ID.
+       This name is reserved by virtue of its definition in the
+       xml:id specification.</p>
+     
+     <p>
+      See <a
+      href="http://www.w3.org/TR/xml-id/">http://www.w3.org/TR/xml-id/</a>
+      for information about this attribute.
+     </p>
+    </div>
+   </xs:documentation>
+  </xs:annotation>
+ </xs:attribute>
+
+ <xs:attributeGroup name="specialAttrs">
+  <xs:attribute ref="xml:base"/>
+  <xs:attribute ref="xml:lang"/>
+  <xs:attribute ref="xml:space"/>
+  <xs:attribute ref="xml:id"/>
+ </xs:attributeGroup>
+
+ <xs:annotation>
+  <xs:documentation>
+   <div>
+   
+    <h3>Father (in any context at all)</h3> 
+
+    <div class="bodytext">
+     <p>
+      denotes Jon Bosak, the chair of 
+      the original XML Working Group.  This name is reserved by 
+      the following decision of the W3C XML Plenary and 
+      XML Coordination groups:
+     </p>
+     <blockquote>
+       <p>
+	In appreciation for his vision, leadership and
+	dedication the W3C XML Plenary on this 10th day of
+	February, 2000, reserves for Jon Bosak in perpetuity
+	the XML name "xml:Father".
+       </p>
+     </blockquote>
+    </div>
+   </div>
+  </xs:documentation>
+ </xs:annotation>
+
+ <xs:annotation>
+  <xs:documentation>
+   <div xml:id="usage" id="usage">
+    <h2><a name="usage">About this schema document</a></h2>
+
+    <div class="bodytext">
+     <p>
+      This schema defines attributes and an attribute group suitable
+      for use by schemas wishing to allow <code>xml:base</code>,
+      <code>xml:lang</code>, <code>xml:space</code> or
+      <code>xml:id</code> attributes on elements they define.
+     </p>
+     <p>
+      To enable this, such a schema must import this schema for
+      the XML namespace, e.g. as follows:
+     </p>
+     <pre>
+          &lt;schema . . .>
+           . . .
+           &lt;import namespace="http://www.w3.org/XML/1998/namespace"
+                      schemaLocation="http://www.w3.org/2001/xml.xsd"/>
+     </pre>
+     <p>
+      or
+     </p>
+     <pre>
+           &lt;import namespace="http://www.w3.org/XML/1998/namespace"
+                      schemaLocation="http://www.w3.org/2009/01/xml.xsd"/>
+     </pre>
+     <p>
+      Subsequently, qualified reference to any of the attributes or the
+      group defined below will have the desired effect, e.g.
+     </p>
+     <pre>
+          &lt;type . . .>
+           . . .
+           &lt;attributeGroup ref="xml:specialAttrs"/>
+     </pre>
+     <p>
+      will define a type which will schema-validate an instance element
+      with any of those attributes.
+     </p>
+    </div>
+   </div>
+  </xs:documentation>
+ </xs:annotation>
+
+ <xs:annotation>
+  <xs:documentation>
+   <div id="nsversioning" xml:id="nsversioning">
+    <h2><a name="nsversioning">Versioning policy for this schema document</a></h2>
+    <div class="bodytext">
+     <p>
+      In keeping with the XML Schema WG's standard versioning
+      policy, this schema document will persist at
+      <a href="http://www.w3.org/2009/01/xml.xsd">
+       http://www.w3.org/2009/01/xml.xsd</a>.
+     </p>
+     <p>
+      At the date of issue it can also be found at
+      <a href="http://www.w3.org/2001/xml.xsd">
+       http://www.w3.org/2001/xml.xsd</a>.
+     </p>
+     <p>
+      The schema document at that URI may however change in the future,
+      in order to remain compatible with the latest version of XML
+      Schema itself, or with the XML namespace itself.  In other words,
+      if the XML Schema or XML namespaces change, the version of this
+      document at <a href="http://www.w3.org/2001/xml.xsd">
+       http://www.w3.org/2001/xml.xsd 
+      </a> 
+      will change accordingly; the version at 
+      <a href="http://www.w3.org/2009/01/xml.xsd">
+       http://www.w3.org/2009/01/xml.xsd 
+      </a> 
+      will not change.
+     </p>
+     <p>
+      Previous dated (and unchanging) versions of this schema 
+      document are at:
+     </p>
+     <ul>
+      <li><a href="http://www.w3.org/2009/01/xml.xsd">
+	http://www.w3.org/2009/01/xml.xsd</a></li>
+      <li><a href="http://www.w3.org/2007/08/xml.xsd">
+	http://www.w3.org/2007/08/xml.xsd</a></li>
+      <li><a href="http://www.w3.org/2004/10/xml.xsd">
+	http://www.w3.org/2004/10/xml.xsd</a></li>
+      <li><a href="http://www.w3.org/2001/03/xml.xsd">
+	http://www.w3.org/2001/03/xml.xsd</a></li>
+     </ul>
+    </div>
+   </div>
+  </xs:documentation>
+ </xs:annotation>
+
+</xs:schema>
+