Index: /DASISH/t5.6/docs/LREC/final/DWAN.LRECFinal.xml
===================================================================
--- /DASISH/t5.6/docs/LREC/final/DWAN.LRECFinal.xml	(revision 4484)
+++ /DASISH/t5.6/docs/LREC/final/DWAN.LRECFinal.xml	(revision 4484)
@@ -0,0 +1,1 @@
+<mxGraphModel dx="800" dy="1969" grid="1" guides="1" tooltips="1" connect="1" fold="1" page="1" pageScale="1" pageWidth="826" pageHeight="1169" style="default-style2"><root><mxCell id="0"/><mxCell id="1" parent="0"/><mxCell id="37" value="" style="group;fontSize=14" parent="1" vertex="1" connectable="0"><mxGeometry x="141" y="286" width="94" height="93.5" as="geometry"/></mxCell><mxCell id="29" value="" style="image;image=img/lib/clip_art/computers/Software_128x128.png" parent="37" vertex="1"><mxGeometry x="20" y="10" width="60" height="70" as="geometry"/></mxCell><mxCell id="84" value="DWAN &#xa;Web-browser Extension" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=14" parent="37" vertex="1"><mxGeometry x="2" y="72.5" width="100" height="20" as="geometry"/></mxCell><mxCell id="39" value="" style="edgeStyle=elbowEdgeStyle;startArrow=classic;startFill=1;endArrow=none;endFill=0;elbow=horizontal" parent="1" source="29" target="11" edge="1"><mxGeometry width="100" height="100" relative="1" as="geometry"><mxPoint y="100" as="sourcePoint"/><mxPoint x="100" as="targetPoint"/></mxGeometry></mxCell><mxCell id="50" value="" style="edgeStyle=elbowEdgeStyle;endArrow=classic;endFill=1;startArrow=classic;startFill=1;elbow=horizontal;" parent="1" source="29" edge="1"><mxGeometry width="100" height="100" relative="1" as="geometry"><mxPoint y="100" as="sourcePoint"/><mxPoint x="210" y="100" as="targetPoint"/></mxGeometry></mxCell><mxCell id="51" value="" style="edgeStyle=elbowEdgeStyle;startArrow=classic;startFill=1;elbow=vertical" parent="1" source="45" target="44" edge="1"><mxGeometry width="100" height="100" relative="1" as="geometry"><mxPoint y="100" as="sourcePoint"/><mxPoint x="100" as="targetPoint"/></mxGeometry></mxCell><mxCell id="59" value="" style="group;fontSize=14" parent="1" vertex="1" connectable="0"><mxGeometry x="15" y="301" width="140" height="110" as="geometry"/></mxCell><mxCell id="18" value="" style="group" parent="59" vertex="1" connectable="0"><mxGeometry y="20" width="90" height="90" as="geometry"/></mxCell><mxCell id="17" value="Researcher 1" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=14;fontStyle=1" parent="18" vertex="1"><mxGeometry y="70" width="100" height="20" as="geometry"/></mxCell><mxCell id="62" value="" style="image;image=img/lib/clip_art/people/Suit_Woman_128x128.png" parent="18" vertex="1"><mxGeometry x="1" y="-23.5" width="80" height="80" as="geometry"/></mxCell><mxCell id="24" value="" style="image;image=img/lib/clip_art/computers/Laptop_128x128.png;flipH=1" parent="59" vertex="1"><mxGeometry x="60" width="80" height="80" as="geometry"/></mxCell><mxCell id="60" value="" style="edgeStyle=elbowEdgeStyle;startArrow=classic;startFill=1;elbow=horizontal;endArrow=none;endFill=0" parent="1" source="54" target="11" edge="1"><mxGeometry width="100" height="100" relative="1" as="geometry"><mxPoint y="100" as="sourcePoint"/><mxPoint x="100" as="targetPoint"/></mxGeometry></mxCell><mxCell id="61" value="" style="edgeStyle=elbowEdgeStyle;elbow=vertical;startArrow=classic;startFill=1" parent="1" source="54" edge="1"><mxGeometry width="100" height="100" relative="1" as="geometry"><mxPoint y="100" as="sourcePoint"/><mxPoint x="250" y="100" as="targetPoint"/><Array as="points"><mxPoint x="360" y="190"/></Array></mxGeometry></mxCell><mxCell id="53" value="" style="group;fontSize=14" parent="1" vertex="1" connectable="0"><mxGeometry x="526" y="273.5" width="80" height="76.5" as="geometry"/></mxCell><mxCell id="54" value="" style="image;image=img/lib/clip_art/computers/Software_128x128.png" parent="53" vertex="1"><mxGeometry x="44" y="16" width="60" height="70" as="geometry"/></mxCell><mxCell id="55" value="DWAN &#xa;Web-browser Extension" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=14" parent="53" vertex="1"><mxGeometry x="5" y="85" width="100" height="20" as="geometry"/></mxCell><mxCell id="58" value="" style="group;fontSize=14" parent="1" vertex="1" connectable="0"><mxGeometry x="621" y="284.5" width="149" height="118" as="geometry"/></mxCell><mxCell id="19" value="" style="group" parent="58" vertex="1" connectable="0"><mxGeometry x="49" y="28" width="100" height="90" as="geometry"/></mxCell><mxCell id="21" value="Researcher 2" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=14;fontStyle=1" parent="19" vertex="1"><mxGeometry y="70" width="100" height="20" as="geometry"/></mxCell><mxCell id="63" value="" style="image;image=img/lib/clip_art/people/Suit_Man_Green_Black_128x128.png;flipH=1" parent="19" vertex="1"><mxGeometry x="10" y="-11" width="80" height="80" as="geometry"/></mxCell><mxCell id="52" value="" style="image;image=img/lib/clip_art/computers/iMac_128x128.png" parent="58" vertex="1"><mxGeometry width="80" height="80" as="geometry"/></mxCell><mxCell id="16" value="" style="group;fontFamily=Verdana" parent="1" vertex="1" connectable="0"><mxGeometry x="306" y="201.5" width="190" height="110" as="geometry"/></mxCell><mxCell id="11" value="" style="ellipse;shape=cloud;whiteSpace=wrap;gradientColor=#BFCAFF" parent="16" vertex="1"><mxGeometry width="190" height="110" as="geometry"/></mxCell><mxCell id="14" value="Web sites, &#xa;data repositories" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=18" parent="16" vertex="1"><mxGeometry x="70" y="36" width="60" height="20" as="geometry"/></mxCell><mxCell id="64" value="Display available annotations" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=14" parent="1" vertex="1"><mxGeometry x="412" y="168" width="100" height="20" as="geometry"/></mxCell><mxCell id="65" value="Create new&#xa; annotations" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=14" parent="1" vertex="1"><mxGeometry x="96" y="220" width="100" height="20" as="geometry"/></mxCell><mxCell id="48" value="" style="group;fontSize=14;fontStyle=1" parent="1" vertex="1" connectable="0"><mxGeometry x="180" y="-27" width="100" height="106" as="geometry"/></mxCell><mxCell id="45" value="" style="image;image=img/lib/clip_art/computers/Mainframe_128x128.png" parent="48" vertex="1"><mxGeometry x="11" width="80" height="80" as="geometry"/></mxCell><mxCell id="46" value="DWAN&#xa;REST API" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontStyle=1;fontSize=14" parent="48" vertex="1"><mxGeometry y="86" width="100" height="20" as="geometry"/></mxCell><mxCell id="68" value="" style="group" parent="1" vertex="1" connectable="0"><mxGeometry x="387" y="31.75" width="69" height="80" as="geometry"/></mxCell><mxCell id="66" value="" style="image;image=img/lib/clip_art/computers/Virtual_Application_128x128.png" parent="68" vertex="1"><mxGeometry x="15" y="17.5" width="50" height="60" as="geometry"/></mxCell><mxCell id="67" value="Online Linguistic Software&#xa;(LEXUS, CMDI Browser...)" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=14" parent="68" vertex="1"><mxGeometry y="75.5" width="100" height="20" as="geometry"/></mxCell><mxCell id="69" value="" style="edgeStyle=elbowEdgeStyle;startArrow=classic;startFill=1;elbow=horizontal" parent="1" source="66" target="45" edge="1"><mxGeometry width="100" height="100" relative="1" as="geometry"><mxPoint y="100" as="sourcePoint"/><mxPoint x="100" as="targetPoint"/></mxGeometry></mxCell><mxCell id="70" value="" style="edgeStyle=elbowEdgeStyle;elbow=vertical;startArrow=classic;startFill=1;entryX=0;entryY=0.25" parent="1" source="66" target="85" edge="1"><mxGeometry width="100" height="100" relative="1" as="geometry"><mxPoint y="100" as="sourcePoint"/><mxPoint x="630" y="250" as="targetPoint"/><Array as="points"><mxPoint x="650" y="62"/></Array></mxGeometry></mxCell><mxCell id="71" value="" style="group" parent="1" vertex="1" connectable="0"><mxGeometry x="392" y="-20" width="100" height="97.5" as="geometry"/></mxCell><mxCell id="72" value="" style="image;image=img/lib/clip_art/computers/Virtual_Application_128x128.png" parent="71" vertex="1"><mxGeometry x="10" width="60" height="90" as="geometry"/></mxCell><mxCell id="75" value="" style="group" parent="71" vertex="1" connectable="0"><mxGeometry x="0.5" y="-61.5" width="100" height="97.5" as="geometry"/></mxCell><mxCell id="76" value="" style="image;image=img/lib/clip_art/computers/Virtual_Application_128x128.png" parent="75" vertex="1"><mxGeometry x="10" width="60" height="90" as="geometry"/></mxCell><mxCell id="74" value="" style="endArrow=classic;entryX=0;entryY=0.5;edgeStyle=elbowEdgeStyle;elbow=horizontal;endFill=1" parent="1" source="45" target="72" edge="1"><mxGeometry relative="1" as="geometry"/></mxCell><mxCell id="77" value="" style="endArrow=classic;edgeStyle=elbowEdgeStyle;elbow=horizontal;endFill=1" parent="1" source="45" target="76" edge="1"><mxGeometry relative="1" as="geometry"/></mxCell><mxCell id="78" value="" style="group;fontFamily=Verdana" parent="1" vertex="1" connectable="0"><mxGeometry x="656" y="83" width="160" height="87" as="geometry"/></mxCell><mxCell id="79" value="" style="ellipse;shape=cloud;whiteSpace=wrap;gradientColor=#BFCAFF" parent="78" vertex="1"><mxGeometry width="160" height="80" as="geometry"/></mxCell><mxCell id="80" value="Web sites,&#xa; data" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=18" parent="78" vertex="1"><mxGeometry x="57" y="19" width="60" height="20" as="geometry"/></mxCell><mxCell id="81" value="" style="endArrow=classic;edgeStyle=elbowEdgeStyle;elbow=horizontal;startArrow=classic;startFill=1;endFill=1" parent="1" source="72" target="79" edge="1"><mxGeometry relative="1" as="geometry"><Array as="points"><mxPoint x="710" y="20"/></Array></mxGeometry></mxCell><mxCell id="82" value="" style="image;image=img/lib/clip_art/computers/Server_Rack_128x128.png" parent="1" vertex="1"><mxGeometry x="720" y="-76.5" width="80" height="80" as="geometry"/></mxCell><mxCell id="83" value="" style="endArrow=classic;edgeStyle=elbowEdgeStyle;elbow=horizontal;endFill=1;startArrow=classic;startFill=1" parent="1" source="82" target="76" edge="1"><mxGeometry relative="1" as="geometry"/></mxCell><mxCell id="49" value="" style="group" parent="1" vertex="1" connectable="0"><mxGeometry x="26" y="-28" width="100" height="111" as="geometry"/></mxCell><mxCell id="44" value="" style="image;image=img/lib/clip_art/computers/Database_128x128.png" parent="49" vertex="1"><mxGeometry x="11" width="80" height="80" as="geometry"/></mxCell><mxCell id="47" value="DWAN&#xa;Database" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontStyle=1;fontSize=14" parent="49" vertex="1"><mxGeometry y="91" width="100" height="20" as="geometry"/></mxCell><mxCell id="85" value="" style="image;image=img/lib/clip_art/computers/Software_128x128.png" parent="1" vertex="1"><mxGeometry x="631" y="228" width="60" height="70" as="geometry"/></mxCell><mxCell id="86" value="Local Linguistic Software&#xa;(ELAN, KinOath...)" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=14" parent="1" vertex="1"><mxGeometry x="678" y="190" width="100" height="20" as="geometry"/></mxCell><mxCell id="87" value="Linguistic &#xa;data" style="text;spacingTop=-5;align=center;fontFamily=Verdana;fontSize=18" parent="1" vertex="1"><mxGeometry x="736" y="8.75" width="60" height="21.25" as="geometry"/></mxCell></root></mxGraphModel>
Index: /DASISH/t5.6/docs/LREC/final/README.txt
===================================================================
--- /DASISH/t5.6/docs/LREC/final/README.txt	(revision 4484)
+++ /DASISH/t5.6/docs/LREC/final/README.txt	(revision 4484)
@@ -0,0 +1,5 @@
+The source is a DOC file and the image was created on this site:
+https://www.draw.io
+
+You can import the attached xml and it will show you the drawing, which
+you can later edit.