Index: FederatedSearch/examples/Example-Resource.xml
===================================================================
--- FederatedSearch/examples/Example-Resource.xml	(revision 4486)
+++ FederatedSearch/examples/Example-Resource.xml	(revision 4487)
@@ -2,5 +2,5 @@
 <Resource xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xsi:schemaLocation="http://clarin.eu/fcs/1.0 ../schema/Resource.xsd
-                        http://clarin.eu/fcs/1.0/hits ../schema/Resource-HITS.xsd"
+                        http://clarin.eu/fcs/1.0/hits ../schema/DataView-HITS.xsd"
     xmlns="http://clarin.eu/fcs/1.0"
     pid="hdl:4711/00-0000-0000-0000-0000-0">
Index: FederatedSearch/schema/DataView-Hits.xsd
===================================================================
--- FederatedSearch/schema/DataView-Hits.xsd	(revision 4487)
+++ FederatedSearch/schema/DataView-Hits.xsd	(revision 4487)
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
+    xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning"
+    xmlns:hits="http://clarin.eu/fcs/1.0/hits"
+    xmlns:h="http://www.w3.org/1999/xhtml"
+    xml:lang="en" vc:minVersion="1.0"
+    targetNamespace="http://clarin.eu/fcs/1.0/hits" elementFormDefault="qualified">
+
+    <xs:annotation>
+        <xs:documentation>
+            <h:p>
+                This schema defines the structure of a
+                <h:em>generic result</h:em> data view. All CLARIN-FCS endpoints
+                MUST support this data view.
+            </h:p>
+            <h:p>
+                The value <h:code>application/x-clarin-fcs-hits+xml</h:code>
+                MUST be used to indicate a <h:em>generic result</h:em> data view.
+            </h:p>
+        </xs:documentation>    
+    </xs:annotation>
+
+    <xs:element name="Result">
+        <xs:annotation>
+            <xs:documentation>
+                <h:p>
+                    A single result line with one or more marked hits.
+                    White-space is considered <h:em>non-signification</h:em>,
+                    except for delimiting tokens.
+                </h:p>
+                <h:p>
+                    CLARIN-FCS client MAY
+                    normalize white-space and strip leading and tailing
+                    white-space and collapse all white-space between
+                    tokens to a single #x20 character.
+                </h:p>
+            </xs:documentation>
+        </xs:annotation>
+        <xs:complexType mixed="true">
+            <xs:sequence>
+                <xs:element name="Hit" type="xs:string" maxOccurs="unbounded">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                A hit highlight. It SHALL not be empty.
+                            </h:p>
+                            <h:p>
+                                One <h:code>Result</h:code> element MUST
+                                one <h:code>Hit</h:code> element, but MAY
+                                contain more than one.
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:element>
+            </xs:sequence>
+        </xs:complexType>
+    </xs:element>
+</xs:schema>
Index: FederatedSearch/schema/Resource-Hits.xsd
===================================================================
--- FederatedSearch/schema/Resource-Hits.xsd	(revision 4486)
+++ 	(revision )
@@ -1,58 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
-    xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning"
-    xmlns:hits="http://clarin.eu/fcs/1.0/hits"
-    xmlns:h="http://www.w3.org/1999/xhtml"
-    xml:lang="en" vc:minVersion="1.0"
-    targetNamespace="http://clarin.eu/fcs/1.0/hits" elementFormDefault="qualified">
-
-    <xs:annotation>
-        <xs:documentation>
-            <h:p>
-                This schema defines the structure of a
-                <h:em>generic result</h:em> data view. All CLARIN-FCS endpoints
-                MUST support this data view.
-            </h:p>
-            <h:p>
-                The value <h:code>application/x-clarin-fcs-hits+xml</h:code>
-                MUST be used to indicate a <h:em>generic result</h:em> data view.
-            </h:p>
-        </xs:documentation>    
-    </xs:annotation>
-
-    <xs:element name="Result">
-        <xs:annotation>
-            <xs:documentation>
-                <h:p>
-                    A single result line with one or more marked hits.
-                    White-space is considered <h:em>non-signification</h:em>,
-                    except for delimiting tokens.
-                </h:p>
-                <h:p>
-                    CLARIN-FCS client MAY
-                    normalize white-space and strip leading and tailing
-                    white-space and collapse all white-space between
-                    tokens to a single #x20 character.
-                </h:p>
-            </xs:documentation>
-        </xs:annotation>
-        <xs:complexType mixed="true">
-            <xs:sequence>
-                <xs:element name="Hit" type="xs:string" maxOccurs="unbounded">
-                    <xs:annotation>
-                        <xs:documentation>
-                            <h:p>
-                                A hit highlight. It SHALL not be empty.
-                            </h:p>
-                            <h:p>
-                                One <h:code>Result</h:code> element MUST
-                                one <h:code>Hit</h:code> element, but MAY
-                                contain more than one.
-                            </h:p>
-                        </xs:documentation>
-                    </xs:annotation>
-                </xs:element>
-            </xs:sequence>
-        </xs:complexType>
-    </xs:element>
-</xs:schema>